StatusLine (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.StatusLine class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class StatusLine

    java.lang.Object
      org.apache.commons.httpclient.StatusLine

    public class StatusLine

extends Object

Represents a Status-Line as returned from a HTTP server. RFC2616 states the following regarding the Status-Line:

     6.1 Status-Line

      The first line of a Response message is the Status-Line, consisting
      of the protocol version followed by a numeric status code and its
      associated textual phrase, with each element separated by SP
      characters. No CR or LF is allowed except in the final CRLF sequence.

          Status-Line = HTTP-Version SP Status-Code SP Reason-Phrase CRLF

This class is immutable and is inherently thread safe.

Since:
  2.0
Version:
  $Id: StatusLine.java 480424 2006-11-29 05:56:49Z bayard $
Author:
  Jeff Dever, Mike Bowler
See Also:
  `HttpStatus`

Constructor Summary
`StatusLine(String statusLine)` Default constructor.

Method Summary
`String` | `getHttpVersion()`
`String` | `getReasonPhrase()`
`int` | `getStatusCode()`
`static boolean` | `startsWithHTTP(String s)` Tests if the string starts with 'HTTP' signature.
`String` | `toString()` Return a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatusLine

    public StatusLine(String statusLine)
               throws HttpException

  Default constructor.

  Parameters:
    `statusLine` - the status line returned from the HTTP server
  Throws:
    `HttpException` - if the status line is invalid

Method Detail

### getStatusCode

    public final int getStatusCode()

  Returns:
    the Status-Code

### getHttpVersion

    public final String getHttpVersion()

  Returns:
    the HTTP-Version

### getReasonPhrase

    public final String getReasonPhrase()

  Returns:
    the Reason-Phrase

### toString

    public final String toString()

  Return a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string represenation of this object.

### startsWithHTTP

    public static boolean startsWithHTTP(String s)

  Tests if the string starts with 'HTTP' signature.

  Parameters:
    `s` - string to test
  Returns:
    `true` if the line starts with 'HTTP' signature, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.